GNU bug report logs - #44062
emacs-guix is broken: geiser-repl--wait-for-prompt: No prompt found!

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Maxim Cournoyer <maxim.cournoyer@HIDDEN>; merged with #44606; dated Sun, 18 Oct 2020 12:46:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 44062 44606. Request was from Michael Rohleder <mike@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 44062 <at> debbugs.gnu.org:


Received: (at 44062) by debbugs.gnu.org; 19 Oct 2020 03:44:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 18 23:44:21 2020
Received: from localhost ([127.0.0.1]:39532 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kUM5s-000206-RJ
	for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 23:44:21 -0400
Received: from wp224.webpack.hosteurope.de ([80.237.132.231]:38470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mike@HIDDEN>) id 1kUM5q-0001zx-Ri
 for 44062 <at> debbugs.gnu.org; Sun, 18 Oct 2020 23:44:19 -0400
Received: from www.rohleder.de ([37.61.204.227]); authenticated
 by wp224.webpack.hosteurope.de running ExIM with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 id 1kUM5p-0002UD-47; Mon, 19 Oct 2020 05:44:17 +0200
Received: from [192.168.1.3] (helo=micha)
 by www.rohleder.de with esmtps (TLS1.3) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94)
 (envelope-from <mike@HIDDEN>)
 id 1kUL9l-0007gr-HY; Mon, 19 Oct 2020 05:44:16 +0200
From: Michael Rohleder <mike@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#44062: emacs-guix is broken: geiser-repl--wait-for-prompt:
 No prompt found!
References: <87mu0j4saf.fsf@HIDDEN>
X-PGP-Fingerprint: 755E 2DE5 D0D5 85C5 2E78  2830 7C7A FFBE FEF2 CB25
X-PGP-Key: https://www.rohleder.de/~mike/pgpkey.asc
Date: Mon, 19 Oct 2020 05:44:09 +0200
In-Reply-To: <87mu0j4saf.fsf@HIDDEN> (Maxim Cournoyer's message of "Sun, 18
 Oct 2020 08:44:56 -0400")
Message-ID: <87y2k2j2wm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-bounce-key: webpack.hosteurope.de;mike@HIDDEN;1603079058;12ff95ae;
X-HE-SMSGID: 1kUM5p-0002UD-47
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 44062
Cc: 44062 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:
> Emacs-Guix cannot be used at all currently due to a problem starting its
> Guix REPL process.  The messages that appears in the mini-buffer read
> as:
>
> Starting Guix REPL ... [2 times]
> geiser-repl--wait-for-prompt: No prompt found!

This is because of the geiser upgrade from 0.11.2 to 0.12.

Andre Alexandre made an upstream issue here [1].

I think, there is a comment in the emacs-guix code that geiser leaves
a socket file after closing and deletes it before starting a repl.
Maybe this is the behavior that has changed in geiser 0.12?


[1] https://gitlab.com/emacs-guix/emacs-guix/-/issues/27

=2D-=20
Everything you know is wrong.
    Inside Macintosh, 1984

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQFFBAEBCAAvFiEEdV4t5dDVhcUueCgwfHr/vv7yyyUFAl+NC4oRHG1pa2VAcm9o
bGVkZXIuZGUACgkQfHr/vv7yyyWX+gf+Mut3b7+tdBFn8KTaKHLvQNCIN8jxLjwA
+cUqjKzz+mIgL2J7yaM2MBJGmjew74CcUzG4tFga0MuXoeRs1oNGKDNNAIAPItWM
TfkdrNNaQGflZ8y1C6c8hlDD2yX8MYzdNB9Nu8VknaSdh/jcqJo4D1Z3DNSuWtDT
69W7MvaQtbRDVitIItxpb2k6vZeBP6Wlaw28sQMyJY98xvDGgurKv9qkEyDEffz6
T4bejMZmRwvGITL3+DYGIwS8xPZ3al4e1maIbcGiZyck/5nLDsNYjsoFEICeq0xl
kW0Rlf/FjXgM1J9Wku5Hej9AmAOhWAIRS+TkIz6hkKH/hoG+dJMmXA==
=eEGD
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#44062; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Oct 2020 12:45:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 18 08:45:19 2020
Received: from localhost ([127.0.0.1]:36406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kU83q-0002Nb-N5
	for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 08:45:18 -0400
Received: from lists.gnu.org ([209.51.188.17]:50194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1kU83p-0002NT-56
 for submit <at> debbugs.gnu.org; Sun, 18 Oct 2020 08:45:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54302)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1kU83o-0006WK-TW
 for bug-guix@HIDDEN; Sun, 18 Oct 2020 08:45:16 -0400
Received: from mail-il1-x132.google.com ([2607:f8b0:4864:20::132]:41900)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1kU83n-0008SY-Cp
 for bug-guix@HIDDEN; Sun, 18 Oct 2020 08:45:16 -0400
Received: by mail-il1-x132.google.com with SMTP id w17so7649247ilg.8
 for <bug-guix@HIDDEN>; Sun, 18 Oct 2020 05:45:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=K6yYn8tbfTdl46F6N7bnlZNnc0Z8r7iKqsxeUIB+zm8=;
 b=C2xbr1l4RFbFT7L+/n9TePMWnTerRKTbol5J18cbyAv/uo+146Ww96GLNCaGZTcSV1
 VGwTTa6W/9rwXrJMlnJtCL7Qx/RgX8Ggf/w09aIz0smlkGd6jxDMvV0mfSBBRPZw90BS
 kZ1pi8CjMzQKxUbCcUsIi1wXDiVNukqXf7kOKvuMqCsuv/9SFvrpfRwrbm9LXhjv/Ykb
 kJCgI2ZVI/IPLSRNoOroxG1vQJNozfcxCfUKSo31jqkvHo0Sw+EjBZWJ3TNUFm4azyLr
 pNB1mzKnQguR7g74psAN7oLThHTRq1qYzNGSR3jzMbFSB88BYEwqzB1dX6pS/z6kjSP4
 fdgQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=K6yYn8tbfTdl46F6N7bnlZNnc0Z8r7iKqsxeUIB+zm8=;
 b=i/EWPwJdTBhbEaU6tJX3zWMCw96zQe3qVcr5fIoGMc+epLXy5SAf8Ed9bKM7D1AGs8
 ecgADBHFPJGWyPdmIXc1MMuCfGIrR6p/1dq4nCsckvbxTib20ndwLDi3MgaK6o+XlT8f
 hdal+YkSOelFZAuiAy3Bf+pyZc9c0Ch4VvUHhmZpjcN4puUW1TDYDLsqIEhLg+l7y34W
 Fp7OQb8Atm3wWlOIhkwLSR/c6ncy9UzOwZxbspWXO0ifAHGRZh5BL+VKZSfbk0nBSEVn
 xpruh11rDuuKLuvXq8hVLRrJk+1NAATurcmm+llUYSkOhnpSZ0ih5pssGTWszJch3NwZ
 rP6w==
X-Gm-Message-State: AOAM533pK6iOUjESwiBiNYRw/ubnIX8NDJAxOHBDc/K7rYRBB8gDpzY8
 CwmecxXCkZx2UyQLAavLq2PjHiYVx3M=
X-Google-Smtp-Source: ABdhPJyT+M6RkVgEOrMZ7uF3BYyYK0PDB8gdrTWQfnHpBaike6SgfQi85AXGjwxY3sg5OL0AKOIggw==
X-Received: by 2002:a05:6e02:e85:: with SMTP id
 t5mr7831453ilj.217.1603025113996; 
 Sun, 18 Oct 2020 05:45:13 -0700 (PDT)
Received: from hurd (dsl-205-233-125-118.b2b2c.ca. [205.233.125.118])
 by smtp.gmail.com with ESMTPSA id v15sm7696034ile.37.2020.10.18.05.45.13
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 18 Oct 2020 05:45:13 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: bug-guix <bug-guix@HIDDEN>
Subject: emacs-guix is broken: geiser-repl--wait-for-prompt: No prompt found!
Date: Sun, 18 Oct 2020 08:44:56 -0400
Message-ID: <87mu0j4saf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::132;
 envelope-from=maxim.cournoyer@HIDDEN; helo=mail-il1-x132.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: 0
X-Spam_score: -0.1
X-Spam_bar: /
X-Spam_report: (-0.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_TONAME_EQ_TOLOCAL_SHORT=1.999, RCVD_IN_DNSWL_NONE=-0.0001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello Guix! Emacs-Guix cannot be used at all currently due
 to a problem starting its Guix REPL process. The messages that appears in
 the mini-buffer read as: --8<cut herestart>8--- Starting Guix REPL ... [2
 times] geiser-repl--wait-for-prompt: No prompt found! --8<cut hereend---------
 [...] Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (maxim.cournoyer[at]gmail.com)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
 [209.51.188.17 listed in wl.mailspike.net]
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.7 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hello Guix!

Emacs-Guix cannot be used at all currently due to a problem starting its
Guix REPL process.  The messages that appears in the mini-buffer read
as:

--8<---------------cut here---------------start------------->8---
Starting Guix REPL ... [2 times]
geiser-repl--wait-for-prompt: No prompt found!
--8<---------------cut here---------------end--------------->8---

Thanks,

Maxim




Acknowledgement sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#44062; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 13 Nov 2020 04:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.